FROM ruby:{{ruby_version}}
RUN apt-get update -qq && apt-get install -y build-essential libpq-dev nodejs git
ENV RAILS_ENV production
RUN mkdir /{{app_name}}
WORKDIR /{{app_name}}
ADD {{app_name}} /{{app_name}}
RUN bundle install
RUN sed -i '/SECRET_KEY_BASE/d' config/secrets.yml && echo "  secret_key_base: `bundle exec rails secret`" >> config/secrets.yml
RUN echo > db/seeds.rb
ENTRYPOINT bundle exec rails s -p {{data_collector_port}} -b 0.0.0.0 Puma
EXPOSE {{data_collector_port}}
